# pandas.HDFStore.select

HDFStore.select(key, where=None, start=None, stop=None, columns=None, iterator=False, chunksize=None, auto_close=False)

  Retrieve pandas object stored in file, optionally based on where criteria.

  Warning

  Pandas uses PyTables for reading and writing HDF5 files, which allows serializing object-dtype data with pickle when using the “fixed” format. Loading pickled data received from untrusted sources can be unsafe.

  See: https://docs.python.org/3/library/pickle.html for more.

  Parameters
    key str

      Object being retrieved from file.

    where list or None

      List of Term (or convertible) objects, optional.

    start int or None

      Row number to start selection.

    stop int, default None

      Row number to stop selection.

    columns list or None

      A list of columns that if not None, will limit the return columns.

    iterator bool or False

      Returns an iterator.

    chunksize int or None

      Number or rows to include in iteration, return an iterator.

    auto_close bool or False

      Should automatically close the store when finished.

  Returns
    object

      Retrieved object from file.